        PrefabFiles = {
	"skullchest",

}

        Assets = 
{
        Asset( "IMAGE", "minimap/skullchest.tex" ),
        Asset( "ATLAS", "minimap/skullchest.xml" ),
        Asset("ATLAS", "images/inventoryimages/ui_chest_3x4.xml"),
	Asset("ATLAS", "images/inventoryimages/skullchest.xml"),
}

        AddMinimapAtlas("minimap/skullchest.xml")

        STRINGS = GLOBAL.STRINGS
        RECIPETABS = GLOBAL.RECIPETABS
        Recipe = GLOBAL.Recipe
        Ingredient = GLOBAL.Ingredient
        TECH = GLOBAL.TECH



        GLOBAL.STRINGS.NAMES.SKULLCHEST = "Skull Chest"

        STRINGS.RECIPE_DESC.SKULLCHEST = "Ok Sure"

        GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SKULLCHEST = "Ok Sure"

        local skullchest = GLOBAL.Recipe("skullchest",{ Ingredient("boards", 4), Ingredient("nightmarefuel", 1) },                     
        RECIPETABS.TOWN, TECH.NONE, "skullchest_placer" )
        skullchest.atlas = "images/inventoryimages/skullchest.xml"

Vector3 = GLOBAL.Vector3

local function TintingPostInit(self, num, atlas, bgim, owner, container)
	if container.widgetbgimagetint then
		self.bgimage:SetTint(container.widgetbgimagetint.r, container.widgetbgimagetint.g, container.widgetbgimagetint.b, container.widgetbgimagetint.a)
    end
end

AddClassPostConstruct("widgets/invslot", TintingPostInit)

local function skullchestPrefabPostInit(inst)
	local slotpos = {}
	for y = 3, 0, -1 do --IMPORTANT: DO NO CHANGE LAST NUMBER WILL CAUSE CRASH
		for x = 0, 2 do --(hor, vert)
			table.insert(slotpos, Vector3(80*x-80*2+90, 80*y-80*2+40,0))
		end
	end
	inst.components.container.widgetanimbank = nil
	inst.components.container.widgetanimbuild = nil
	--give non-animated background
	inst.components.container.widgetbgatlas = "images/inventoryimages/ui_chest_3x4.xml"
	inst.components.container.widgetbgimage = "ui_chest_3x4.tex"
	--											 (hor, ver)
	inst.components.container.widgetpos = Vector3(0,200,0)
	inst.components.container.widgetbgimagetint = {r=.87,g=.73,b=.66,a=1}
	inst.components.container.side_align_tip = 160
	--Set new container size
	inst.components.container.numslots = #slotpos
	inst.components.container.widgetslotpos = slotpos
end

AddPrefabPostInit("skullchest", skullchestPrefabPostInit)